module Cabal
  module API
    module Common
      module Mistakes
        def self.included(base)
          base.class_eval do
            error_formatter :txt, ->(message, backtrace, options, env, original_exception) {
              message[:message]
            }

            helpers do
              def messagify(message)
                {message: message}
              end
            end
          end
        end
      end
    end
  end
end
