require 'cabal/api/version'
require 'cabal/api/base'
require 'cabal/api/cluster_service'
require 'cabal/api/user_service'
require 'sekrat'

module Cabal
  module API
    STORAGE = {
      private: Sekrat::Warehouse::Memory.new,
      public: Sekrat::Warehouse::Memory.new,
      users: Sekrat::Warehouse::Memory.new,
      access_keys: Sekrat::Warehouse::Memory.new,
      secret_keys: Sekrat::Warehouse::Memory.new,
    }

    def cluster_service
      @cluster_service ||= ClusterService.new
    end
  end
end
