require 'grape'
require 'cabal/api/v2/public_key'
require 'cabal/api/v2/private_key'

module Cabal
  module API
    module V2
      class Base < Grape::API
        version 'v2', using: :path

        mount Cabal::API::V2::PublicKey
        mount Cabal::API::V2::PrivateKey
      end
    end
  end
end
