require 'grape'
require 'cabal/api/v3/list'
require 'cabal/api/v3/public_key'
require 'cabal/api/v3/private_key'

module Cabal
  module API
    module V3
      class Base < Grape::API
        version 'v3', using: :path

        mount Cabal::API::V3::List
        mount Cabal::API::V3::PublicKey
        mount Cabal::API::V3::PrivateKey
      end
    end
  end
end
